For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
  • AI
  • User
      • GETUser By Email
      • POSTCreate User
      • GETUsers
      • GETSearch All Users
      • GETMe
      • PUTUpdate Me
      • POSTUpload User Avatar
      • POSTUpload User Avatar Admin
      • PUTCreate Or Replace Api Key
      • DELDelete Api Key
      • POSTSubmit Feedback
      • POSTBatch Lookup Users
      • GETUser Permissions
      • GETUser
      • PUTUpdate User
      • DELDelete User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
UserUser

Users

GET
/api/v1/user/all
GET
/api/v1/user/all
$curl https://app.termina.ai/api/v1/user/all \
> -H "Authorization: Bearer <token>"
1{
2 "total_count": 1,
3 "page": 1,
4 "page_size": 1,
5 "data": [
6 {
7 "group_roles": [
8 {
9 "group_id": 1,
10 "role": "admin"
11 }
12 ],
13 "deal_roles": [
14 {
15 "deal_id": 1,
16 "role": "admin"
17 }
18 ],
19 "name": "string",
20 "email": "string",
21 "id": 1,
22 "api_key_final_characters": "string",
23 "thumbnail_url": "string",
24 "created_at": "2024-01-15T09:30:00Z",
25 "updated_at": "2024-01-15T09:30:00Z",
26 "is_archived": true,
27 "super_user": true
28 }
29 ]
30}
Get all users
Was this page helpful?
Previous

Search All Users

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_bystring or nullOptional
sort_orderstringOptionalformat: "^(asc|desc)$"Defaults to asc
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional>=1Defaults to 100

Response

Successful Response
total_countinteger
pageinteger
page_sizeinteger
datalist of objects

Errors

422
Unprocessable Entity Error